Bug 513755 - restart/logout notification are shown before update completes
restart/logout notification are shown before update completes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
: Reopened
: 521236 524070 616915 622450 (view as bug list)
Depends On:
Blocks: 582079
  Show dependency treegraph
 
Reported: 2009-07-25 08:10 EDT by Oliver Henshaw
Modified: 2010-11-29 13:14 EST (History)
18 users (show)

See Also:
Fixed In Version: 0.6.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 553356 582079 (view as bug list)
Environment:
Last Closed: 2010-11-29 12:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 202154 None None None Never

  None (edit)
Description Oliver Henshaw 2009-07-25 08:10:41 EDT
Description of problem:

When updating packages that require a restart (or a logout/login) with packagekit, notifications appear before the end of the yum upgrade.

The notifications appear in a stack coming from the 'i' icon in the kde system tray. I think they come around the end of the testing packages phase, or the beginning of the install packages phase. Then when the update is complete, a restart icon appears in the systray.


Additionally, there is one notification stacking up per package requiring restart. None of these notifications show which package caused it. The kpackagekit restart icon is much friendlier - it simply lists the packages requiring update in a list in a tooltip.


Version-Release number of selected component (if applicable):

kpackagekit-0.4.1.1-1.fc11.i586
kdebase-workspace-4.2.4-5.fc11.i586
PackageKit-0.4.8-2.fc11.i586
Comment 1 Steven M. Parrish 2009-07-25 10:55:10 EDT
IIRC the notifications actually come from PackageKit, is that correct Richard?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Richard Hughes 2009-07-28 08:44:48 EDT
Yes, the signals come from packagekitd, which kpackagekit turns into notifications. I think that restart notifications should be just a tooltip as suggested, not notification bubbles.
Comment 3 Steven M. Parrish 2009-07-31 19:31:09 EDT
We filed this bug in the upstream database () and believe that it is more appropriate to let it be resolved upstream.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Oliver Henshaw 2009-08-07 16:54:10 EDT
I've now seen notifications at the very beginning of the update process. In that case a larger cluster of notifications occurred later in the process, while I was away from the computer.

I also noticed that the update icon in the systray during the update process. It's suppressed by the icon kpackagekit uses to show what it's currently doing, but is visible in the list of tasks if the kpackagekit systray icon is clicked on.


I see that upstream believes that the timing of the notifications is the responsibility of the packagekit backend.
Comment 5 Richard Hughes 2009-08-08 08:32:21 EDT
(In reply to comment #4)
> I see that upstream believes that the timing of the notifications is the
> responsibility of the packagekit backend.  

No, it's up to the frontend to take the notifications whenever they happen and batch them up to show the user at the end. There's nothing in the spec about when signals have to come during the transaction.
Comment 6 Oliver Henshaw 2009-08-16 14:28:59 EDT
Is this related to bug #513856 ?
Comment 7 Rex Dieter 2009-08-16 14:50:56 EDT
Seems so.
Comment 8 Kevin Kofler 2009-09-17 18:19:03 EDT
*** Bug 521236 has been marked as a duplicate of this bug. ***
Comment 9 Kevin Kofler 2009-09-17 18:19:13 EDT
*** Bug 524070 has been marked as a duplicate of this bug. ***
Comment 10 Oliver Henshaw 2009-10-05 06:43:42 EDT
This may be fixed in kpackagekit 0.5.x, but I think this release requires a newer PackageKit (intended for F12?). Would this be worth back-porting to kpackagekit 0.4.x?
Comment 11 Jerry Amundson 2010-03-24 22:21:35 EDT
Just saw this. Resolved bug upstream does not solve this.
PackageKit-0.4.9-1.fc11.i586
kpackagekit-0.4.2-1.fc11.i586

Can f11 go to kpackagekit 0.5?
Comment 12 Bug Zapper 2010-04-28 05:19:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Oliver Henshaw 2010-04-28 06:36:50 EDT
This has been cloned a couple of times (bug 582079 and bug 553356). I'm not sure why there's no link from this bug to the clones nor what the utility of cloning is.

Anyway, this behaviour has re-appeared in f12, albeit with a new twist. https://bugzilla.redhat.com/show_bug.cgi?id=553356#c2 gives details.
Comment 14 Bug Zapper 2010-06-28 09:49:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Jerry Amundson 2010-06-28 22:06:09 EDT
The main difference now, Fedora 13 (and iirc 12 as well), is that there is no longer one stacked notification per package.
Thankfully, the "Restart" button from the systray does not work - if it did, a reboot would occur during yum's update, which is probably undesirable...
Comment 16 Vincent Panel 2010-07-14 03:12:40 EDT
Seen on F13 as well
Comment 17 Kevin Kofler 2010-08-09 10:34:10 EDT
*** Bug 622450 has been marked as a duplicate of this bug. ***
Comment 18 Pentarh Udi 2010-08-09 11:02:05 EDT
Have this on Fedora 13:
kpackagekit-0.6.0-2.fc13.x86_64
kernel 2.6.33.6-147.fc13.x86_64
kdebase-4.4.5-1.fc13.x86_64
yum-3.2.28-1.fc13.noarch
rpm-4.8.1-2.fc13.x86_64

Also Fedora 12 on other computrer has this issue.
Comment 20 Oliver Henshaw 2010-11-29 12:48:30 EST
No longer a problem in current F13.
Comment 21 Rex Dieter 2010-11-29 13:14:24 EST
*** Bug 616915 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.